<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionCurrentTime](./bitburner.bladeburner.getactioncurrenttime.md)

## Bladeburner.getActionCurrentTime() method

Get the time elapsed on current action.

**Signature:**

```typescript
getActionCurrentTime(): number;
```
**Returns:**

number

Number of milliseconds already spent on the current action.

## Remarks

RAM cost: 4 GB

Returns the number of milliseconds already spent on the current action.

